.open-sans-normal {
  font-family: "Open Sans", serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

/* Shared style */

.secondary-bg {
  background-color: #fff8f3;
}

.text-primary {
  color: #fd6e0a;
}

.dark-2 {
  color: #474747;
}

.btn-primary {
  background-color: #fd6e0a;
  font-size: 20px;
  font-weight: bold;
  color: white;
  padding: 18px 35px;
  border-radius: 5px;
  border: none;
}

.section-title {
  font-size: 35px;
  font-weight: bold;
  color: #181818;
}

.section-description {
  font-size: 18px;
  color: #757575;
}

.text-center {
  text-align: center;
}

/* header */

.header {
  background-image: url("../images/developer.png"),
    url("../images/header_bg.png");
  background-repeat: no-repeat;
  background-position: top left, bottom right;
}

/* Nav Styles */

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0px 200px;
}

.nav-title {
  font-weight: 800;
  font-size: 45px;
}

nav ul {
  display: flex;
  align-items: center;
}

nav ul li {
  list-style: none;
  margin-right: 50px;
}

nav li a {
  text-decoration: none;
  font-size: 20px;
}

/* Banner styles */

.banner {
  display: flex;
  justify-content: space-between;
  margin: 0 35px 0 200px;
}

.banner-content {
  max-width: 580px;
}

.banner-greetings {
  font-size: 45px;
  font-weight: 600;
}

.banner-title {
  font-weight: bold;
  font-size: 85px;
}

.banner-profile-pic {
  width: 580px;
}

/* main styles */
main {
  max-width: 1140px;
  margin: 0 auto;
}

main section {
  margin-top: 130px;
  margin-bottom: 130px;
}

/* About Section */

.about {
  border-radius: 10px;
  padding: 130px 150px;
  text-align: center;
}

.about-items {
  display: flex;
  justify-content: space-around;
}

.item-description {
  font-weight: 600;
}

/* skill section */

.skills-container {
  display: flex;
  gap: 24px;
}

.skill {
  padding: 30px;
  box-shadow: 0px 6px 50px 0px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
}

/* resume section */

.resume-container {
  display: flex;
  gap: 24px;
}

.experience-description,
.experience-sub-title {
  color: #757575;
}

.experience-sub-title {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 20px;
}

.resume hr {
  margin: 20px 5px;
}

.resume-download-cv {
  margin-top: 10px;
}

/* footer */

footer {
  padding: 230px;
  display: flex;
  gap: 100px;
}

.footer-column {
  width: 50%;
}

footer input[type="text"],
footer input[type="email"],
footer textarea {
  height: 64px;
  border-radius: 5px;
  background-color: white;
  display: block;
  width: 100%;
  padding: 10px 20px;
  margin-bottom: 20px;
}

/* responsive media query */

@media screen and (max-width: 576px) {
  .skills-container,
  .resume-container,
  footer,
  .about-items,
  .banner,
  nav,
  nav > ul {
    flex-direction: column;
  }

  nav > ul {
    gap: 20px;
  }

  .banner {
    margin: 20px;
  }

  .btn-primary {
    margin-bottom: 20px;
  }

  .banner-profile-pic {
    width: 100%;
  }

  .header {
    background-image: none;
  }

  footer,
  .about {
    padding: 20px;
  }
  .footer-column {
    width: 100%;
  }
  footer input[type="text"],
  footer input[type="email"],
  footer textarea {
    width: calc(100% - 40px);
  }
}
